# List metafield definition validation types

> Retrieve the available validation types.

`GET /rest/api/metafield_definition_validation_types`

Retrieves the collection of MetafieldDefinitionValidationType resources.

Returns every metafield definition validation type - the valid values for a [validation](/api/product-management/metafield-definition-validations/)’s `name`.

## Headers

| Name                         | Type     | Required | Description                                                                                                                                      |
| ---------------------------- | -------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Flowkiwi-Organization-Id` | `string` | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance. |

## Response

**200** - MetafieldDefinitionValidationType collection

| Property           | Type                                  | Required | Description |
| ------------------ | ------------------------------------- | -------- | ----------- |
| `hydra:totalItems` | `integer`                             | -        |             |
| `hydra:search`     | `object`                              | -        |             |
| `hydra:member`     | `MetafieldDefinitionValidationType[]` | Yes      |             |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/rest/api/metafield_definition_validation_types' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/contexts/MetafieldDefinitionValidationType",
  "@id": "/rest/api/metafield_definition_validation_types",
  "@type": "hydra:Collection",
  "hydra:totalItems": 3,
  "hydra:member": [
    {
      "@context": "/contexts/MetafieldDefinitionValidationType",
      "@id": "/rest/api/metafield_definition_validation_types/max_length",
      "@type": "https://schema.org/Enumeration",
      "id": "max_length",
      "description": "Maximum character length for text fields"
    },
    {
      "@context": "/contexts/MetafieldDefinitionValidationType",
      "@id": "/rest/api/metafield_definition_validation_types/min_length",
      "@type": "https://schema.org/Enumeration",
      "id": "min_length",
      "description": "Minimum character length for text fields"
    },
    {
      "@context": "/contexts/MetafieldDefinitionValidationType",
      "@id": "/rest/api/metafield_definition_validation_types/json_schema",
      "@type": "https://schema.org/Enumeration",
      "id": "json_schema",
      "description": "JSON schema for validating JSON content"
    }
  ]
}
```
